## debian-parl 1.9.32

=== Makefile ===
nodes := $(patsubst nodes/%.yml,%,$(wildcard nodes/*.yml))
profiles-di = $(patsubst %,content/%/preseed.cfg,$(subst -,/,$(nodes)))
profiles-script = $(patsubst %/preseed.cfg,%/script.sh,$(profiles-di))
profiles = $(profiles-di) $(profiles-script)
mdfiles = content/MD5SUMS
shafiles = $(patsubst %,content/SHA%SUMS,1 256 512)
checksumfiles = $(mdfiles) $(shafiles)
signfiles = $(patsubst %,%.sig,$(checksumfiles))
info = content/NEWS content/TODO

suite ?= jessie

all: $(checksumfiles) $(info)
sign: $(signfiles)

$(profiles-di): content/%/preseed.cfg:
	mkdir -p $(dir $@)
	cd $(dir $@) \
		&& boxer compose \
			--nodedir $(CURDIR)/nodes \
			--skeldir $(CURDIR)/skel \
			--suite $(suite) \
			$(subst /,-,$*)

$(profiles-script): content/%/script.sh: content/%/preseed.cfg

$(mdfiles): content/MD%SUMS: $(profiles)
	cd content && md$*sum $(profiles:content/%=%) > MD$*SUMS~
	rm -f $@.sig
	mv -f $@~ $@

$(shafiles): content/SHA%SUMS: $(profiles)
	cd content && sha$*sum $(profiles:content/%=%) > SHA$*SUMS~
	rm -f $@.sig
	mv -f $@~ $@

$(signfiles): %.sig: % $(checksumfiles)
	rm -f $@
	gpg --detach-sign -a -o $@ $<

$(info): content/% : %
	mkdir -p content
	cp -f $< $@

clean:
	rm -rf content

## debian-parl 1.9.9

=== debian/changelog ===
debian-parl (1.9.9) unstable; urgency=medium

  * Rebuild using fixed boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 08:17:32 +0200

debian-parl (1.9.8) unstable; urgency=medium

  * Rebuild using fixed boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2016 14:52:41 +0200

debian-parl (1.9.7) unstable; urgency=medium

  * Rebuild using fixed boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 May 2016 22:24:38 +0200

debian-parl (1.9.6) unstable; urgency=medium

  * Rebuild using fixed boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 May 2016 08:15:10 +0200

debian-parl (1.9.5) unstable; urgency=medium

  * Rebuild using fixed boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2016 21:16:02 +0200

debian-parl (1.9.4) unstable; urgency=medium

  * Fix stop avoid GStreamer: Needed by Evince since Stretch.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2016 00:48:40 +0200

debian-parl (1.9.3) unstable; urgency=medium

  * Rebuild using fixed boxer-data.
    Closes: Bug#824637. Thanks to Ralf Treinen.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 13:09:49 +0200

debian-parl (1.9.2) unstable; urgency=medium

  * Fix include gnome-system-tools.
    Tighten build-dependency on boxer-data.
  * Update NEWS.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 May 2016 17:28:41 +0200

debian-parl (1.9.1) unstable; urgency=medium

  * Fix target stretch (not jessie), and adapt based on distribution
    suite of topmost changelog entry.
    Tighten build-dependency on dpkg-dev.
  * Update NEWS.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 May 2016 17:08:39 +0200

debian-parl (1.9.0) unstable; urgency=medium

  * Bump version number: Minor now reflects targeted Debian release.
  * Update skeleton files to support boxer 4+ format.
    Build-depend on recent boxer.
  * Update node files to match boxer-data 7+ classes.
    Build-depend on recent boxer-data.
  * Update copyright info: Extend coverage to include current year.
  * Use boxer-data 10.5 classes.
    Package parl-desktop:
    + Avoid xfce task: Clashes with GStreamer avoidance.
      Closes: Bug#774282 (see also bug#792283). Thanks to Ralf Treinen.
    + Include more GTK+ office tools, Xfce components, and audio tools.
    + Include popularity-contest.
    + Include apt-listchanges pinentry-gtk2 popularity-contest
      pulseaudio-utils.
    + Include bluez (not bluetooth).
    + Include xfce4-linelight-plugin and mlocate.
    + Include gnome-system-tools (not usermode: Poorly maintained).
      See bug#793465.
    + Stop include evolution-data-server.
    Packages parl-desktop-eu and/or parl-desktop-world:
    + Include or extend hunspell/myspell dictionaries for locales af bn
      da de_AT de_CH de_DE de en_GB en_US et fr gu hi hu it kn ml mr ne
      pa pl ro sl ta te zu.
    + Include LibreOffice support for locales af en-ZA ku nr nso ss tn
      ts ve xh zu.
    + Fix stop include not yet stable Iceowl locales fi gd id lt nb_NO
      pa_IN pt_PT sq uk.
      Closes: Bug#774281. Thanks to Ralf Treinen.
    + Stop include LibreOffice metapackages for localeregions ZA IN
      (instead include individual locales).
    Package parl-desktop-strict:
    + Avoid xfce4-mixer.
    + Avoid fewer LibreOffice components.
    + avoid incompatible hunspell/myspell alternatives.
    + Avoid a bunch of printer drivers.
    + Avoid cpufrequtils: Better handled by default settings of kernel
      drivers nowadays.
    + Stop avoid obsolete packages bluez-gstreamer epdfview
      gstreamer0.10-ffmpeg
  * Ignore quote-escaped newline 'foo\''n'bar' pattern in testsuite.
  * Update TODOs:
    + Drop done items.
    + Maybe add automx to groupware profile.
    + Either use systemd-shim or avoid cgmanager.
  * Use https protocol in Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides for license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override for debhelper 9.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2016 02:36:51 +0200

debian-parl (1.0.9) unstable; urgency=medium

  * Use boxer-data 4: Add mpv (and avoid mplayer2).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 00:43:27 +0200

debian-parl (1.0.8) unstable; urgency=medium

  * Refactor packaging to use boxer, using jessie suite.
    + Drop granular recipes - now only one set per blend.
    + Improved localizations.
    + Include bluetooth support.
    + Improved power management.
  * Fix source URLs.
  * Fix typo in license boilerplate.
  * Have git-import-orig suppress upstream .gitignore files.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 23:46:44 +0200

debian-parl (1.0.7) unstable; urgency=medium

  Corrections:
  * Fix enforce package removals.
  * Fix installation via script on (very) minimal system.

  Improvements:
  * Include core audio tools (no longer pulled in by GStreamer).
  * Exclude webkit library (used only for potentially risky JavaScript
    Proxy parsing).
  * Include generic volume control Volti.
  * Exclude Xfce volumed and GStreamer framework.
  * Fix exclude MIDI patches (see bug#612509).
  * Extend desktop-mobile topic to include photo manager Shotwell.
  * Extend desktop topic to include mousepad.

  Packaging:
  * Initial official Debian packaging.
    Closes: bug#765849.
  * Declare compliance with Debian Policy 3.9.6.
  * Adapt to refactored perl-based preseed file rendering:
    + Update package list parsing to handle wrapped lines.
    + Build-depend on libipc-system-simple-perl and libpath-tiny-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Oct 2014 20:36:00 +0200

debian-parl (1.0.6) unstable; urgency=low

  Corrections:


=== debian/control ===
Source: debian-parl
Section: misc
Priority: optional
Maintainer: DebianParl team <parl-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 boxer (>= 0.004~),
 dpkg-dev (>= 1.17.0),
 shellcheck,
 boxer-data (>= 10.5.3),
 boxer-data (<< 10.6)
Standards-Version: 3.9.8
Homepage: https://wiki.debian.org/DebianParl
Vcs-Git: https://anonscm.debian.org/git/parl/blends
Vcs-Browser: https://anonscm.debian.org/cgit/parl/blends.git

Package: parl-data
Architecture: all
Depends: ${misc:Depends}
Description: recipes to install DebianParl blends
 This package provides "recipes" for installing the DebianParl blends,
 in the form of preseeding files for Debian Installer.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.

Package: parl-desktop
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends}
Suggests: parl-desktop-strict
Description: DebianParl desktop for parliamentary work
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.
 .
 This package provides the core DebianParl/desktop profile.

Package: parl-desktop-world
Architecture: all
Depends: parl-desktop,
 ${cdbs:Depends},
 ${misc:Depends}
Suggests: parl-desktop-strict
Description: DebianParl desktop for parliamentary work - global
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.
 .
 This package provides DebianParl/desktop profile for global use.

Package: parl-desktop-eu
Architecture: all
Depends: parl-desktop,
 ${cdbs:Depends},
 ${misc:Depends}
Suggests: parl-desktop-strict
Description: DebianParl desktop for parliamentary work - EU
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.
 .
 This package provides DebianParl/desktop profile for use within the
 European Union.

Package: parl-desktop-strict
Architecture: all
Depends: parl-desktop,
 ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Description: DebianParl desktop for parliamentary work - strict
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.
 .
 This package apply restrictions for the DebianParl/desktop profiles to
 avoid optional stuff.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014-2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for DebianParl
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

pkgstem = parl
sharedir = usr/share/$(pkgstem)
blends = world eu

include debian/blends.mk

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# lock to boxer-data minor release: Feature additions should be documented
CDBS_BUILD_DEPENDS +=, boxer-data (>= 10.5.3), boxer-data (<< 10.6)

## debian-parl 1.9.10+build1

=== debian/changelog ===
debian-parl (1.9.10+build1) stretch-staging; urgency=medium

  * Rebuild against boxer-data patched to remove reference to cruft package.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 17 Jun 2017 18:17:57 +0000

debian-parl (1.9.10) unstable; urgency=medium

  * Tighten build-dependency on recent boxer-data:
    + Fix avoid confusing APT by use of firefox-esr thunderbird icedove
      transitional packages.
      Closes: Bug#860026. Thanks to Andreas Beckmann.
    + Fix include libreoffice-gtk2 (not libreoffice-gtk).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 14:26:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  boxer (>= 0.004~),
  dpkg-dev (>= 1.17.0),
  shellcheck,
- boxer-data (>= 10.5.3),
+ boxer-data (>= 10.5.18),
  boxer-data (<< 10.6)
 Standards-Version: 3.9.8
 Homepage: https://wiki.debian.org/DebianParl

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,4 @@
 CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # lock to boxer-data minor release: Feature additions should be documented
-CDBS_BUILD_DEPENDS +=, boxer-data (>= 10.5.3), boxer-data (<< 10.6)
+CDBS_BUILD_DEPENDS +=, boxer-data (>= 10.5.18), boxer-data (<< 10.6)

## debian-parl 1.9.17

=== debian/changelog ===
debian-parl (1.9.17) unstable; urgency=medium

  * Rebuild using newer boxer-data.
    + Include catfish (not xfce4-linelight-plugin).
      Closes: Bug#916582. Thanks to Adrian Bunk.
    + Stop explicitly include gvfs (handled in thunar since long).
    + Include xfce4-pulseaudio-plugin (GStreamer 0.10 is long gone).
  * Declare compliance with Debian Policy 4.3.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Dec 2018 18:50:04 +0100

debian-parl (1.9.16) unstable; urgency=medium

  * Rebuild using newer boxer-data.
    + Drop locale subclasses bn pa ta
      (unavailable since Quantum release).
  * Update blends snippet:
    + Modernize suite resolving.
    + Stop declare build-dependency explicitly on recent dpkg-dev:
      Needed version satisfied even in oldstable.
    + Use dpkg pkg-info snippet to resolve suite.
    + Extend copyright coverage.
  * Relax to build-depend (also) on newer releases of boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Nov 2018 16:42:49 +0100

debian-parl (1.9.15) unstable; urgency=medium

  * Mention metapackage in long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Nov 2018 10:59:12 +0100

debian-parl (1.9.14) unstable; urgency=medium

  * Rebuild using newer boxer-data.
    + Use hunspell (not myspell) for locales ca lv nl pt ru sv [...].
      Closes: Bug#886676, #908229, #908230, #908301, #910616, #910617.
      Thanks to Rene Engelhard, Agustin Martin.
    + Include package thunderbird-bidiui (not iceweasel-bidiui).
      Closes: Bug#913391. Thanks to Andreas Beckmann.
  * Simplify rules: Stop resolve build-dependencies in rules file.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Update Vcs-* fields: Development moved to Salsa.
  * Stop build-depend on dh-buildinfo.
  * Stop build-depend explicitly on recent dpkg:
    Needed version satisfied even in oldstable.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Update source URLs.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2018 14:42:12 +0100

debian-parl (1.9.13) unstable; urgency=high

  * Rebuild using fixed boxer-data.
  * Raise urgency to aid related pending migrations.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Nov 2017 21:50:39 +0100

debian-parl (1.9.12) unstable; urgency=medium

  * Rebuild using newer boxer-data.
    Closes: Bug#872712. Thanks to Mattia Rizzolo and Rene Engelhard.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Nov 2017 12:53:14 +0100

debian-parl (1.9.11) unstable; urgency=medium

  * Relax build-dependency on boxer-data (no documentation update
    needed: Feature change is support for Buster).
    Closes: Bug#881036. Thanks to Adrian Bunk.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Add maintainer script to do copyright-check.
  * Modernize blends.mk snippet to target buster by default, and build
    with newer boxer-data.
    + Avoids cruft package firefox-esr-l10n-be.
      Closes: Bug#864947. Thanks to Peter Green.
    + Fixes FTBFS with recent shellcheck.
      Closes: Bug#867658. Thanks to Adrian Bunk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Nov 2017 03:08:13 +0100

## debian-parl 1.9.18

=== debian/changelog ===
debian-parl (1.9.18) unstable; urgency=medium

  * Fix use buster classes unless targeting experimental.
    (See Bug#923530)
  * Update copyright info: Extend coverage.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Mar 2019 22:56:32 +0100

=== debian/control ===
Source: debian-parl
Section: misc
Priority: optional
Maintainer: DebianParl team <parl-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 boxer (>= 0.004~),
 shellcheck,
# lock to boxer-data minor release: Feature additions should be documented
 boxer-data (>= 10.5.18),
 boxer-data (<< 10.8)
Standards-Version: 4.3.0
Homepage: https://wiki.debian.org/DebianParl
Vcs-Git: https://salsa.debian.org/blends-parl-team/blends.git
Vcs-Browser: https://salsa.debian.org/blends-parl-team/blends
Rules-Requires-Root: no

Package: parl-data
Architecture: all
Depends: ${misc:Depends}
Description: recipes to install DebianParl blends
 This package provides "recipes" for installing the DebianParl blends,
 in the form of preseeding files for Debian Installer.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.

Package: parl-desktop
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends}
Suggests: parl-desktop-strict
Description: DebianParl desktop for parliamentary work
 This metapackage provides the core DebianParl/desktop profile.
 .
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.

Package: parl-desktop-world
Architecture: all
Depends: parl-desktop,
 ${cdbs:Depends},
 ${misc:Depends}
Suggests: parl-desktop-strict
Description: DebianParl desktop for parliamentary work - global
 This metapackage provides a DebianParl/desktop profile
 for global use.
 .
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.

Package: parl-desktop-eu
Architecture: all
Depends: parl-desktop,
 ${cdbs:Depends},
 ${misc:Depends}
Suggests: parl-desktop-strict
Description: DebianParl desktop for parliamentary work - EU
 This metapackage provides a DebianParl/desktop profile
 for use within the European Union.
 .
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.

Package: parl-desktop-strict
Architecture: all
Depends: parl-desktop,
 ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Description: DebianParl desktop for parliamentary work - strict
 This metapackage apply restrictions for the DebianParl/desktop profiles
 to avoid optional stuff.
 .
 DebianParl/desktop establish a desktop/laptop environment for
 parliamentary work.
 .
 DebianParl is a subset of Debian for use by parliamentarians,
 politicians and their staffers all around the world.

## debian-parl 1.9.22

=== debian/changelog ===
debian-parl (1.9.22) unstable; urgency=medium

  * suppress lintian warning about long Depends field

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Dec 2019 13:10:31 +0100

debian-parl (1.9.21) unstable; urgency=medium

  * Rebuild using newer boxer-data:
    + Include volumeicon-alsa (not volti);
      closes: bug#943985, thanks to Moritz Muehlenhoff.
    + Build-depend on libreoffice-gtk3 (not libreoffice-gtk2).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Dec 2019 12:41:48 +0100

debian-parl (1.9.20) unstable; urgency=medium

  * Rebuild using newer boxer-data.
    + Avoid gtk3-engines-xfce (as well as gtk2-engines-xfce).
      Really closes: Bug#935954. Thanks to Yves-Alexis Perez.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Aug 2019 21:39:06 +0200

debian-parl (1.9.19) unstable; urgency=medium

  * Update blends snippet: Update suite names.
    Tighten to build-depend on boxer-data supporting suite bullseye
    No noteworthy user-facing changes,
    but updates several package dependencies.
    Closes: Bug#931033. Thanks to Rene Engelhard.
    Closes: Bug#935954. Thanks to Yves-Alexis Perez.
  * Declare compliance with Debian Policy 4.4.0.
  * Sync skeleton files with Boxer (since Boxer 1.2.0).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Aug 2019 16:22:40 +0200

## debian-parl 1.9.25

=== debian/changelog ===
debian-parl (1.9.25) unstable; urgency=medium

  * rebuild using newer boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Aug 2020 23:26:58 +0200

debian-parl (1.9.24) unstable; urgency=medium

  * rebuild using newer boxer-data:
    + stop depend explicitly on libreoffice-style-tango

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jun 2020 14:33:31 +0200

debian-parl (1.9.23) unstable; urgency=medium

  * rebuild using newer boxer-data:
    + include usermode (not gnome-system-tools);
      closes: bug#888675, thanks to Simon McVittie and Andreas Henriksson

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Jan 2020 13:27:24 +0100

## debian-parl 1.9.26

=== debian/changelog ===
debian-parl (1.9.26) unstable; urgency=medium

  * rebuild using newer boxer-data

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2020 12:43:01 +0100

## debian-parl 1.9.27

=== debian/changelog ===
debian-parl (1.9.27) unstable; urgency=medium

  * rebuild using newer boxer-data
    + stop include hunspell-se;
      closes: bug#982031, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 22:52:43 +0100

## debian-parl 1.9.27%2Bdeb11u1

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  boxer (>= 0.004~),
  shellcheck,
 # lock to boxer-data minor release: Feature additions should be documented
- boxer-data (>= 10.5.18),
- boxer-data (<< 10.8)
-Standards-Version: 4.3.0
+ boxer-data (>= 10.8.28+deb11u1~),
+ boxer-data (<< 10.9)
+Standards-Version: 4.4.0
 Homepage: https://wiki.debian.org/DebianParl
 Vcs-Git: https://salsa.debian.org/blends-parl-team/blends.git
 Vcs-Browser: https://salsa.debian.org/blends-parl-team/blends

## debian-parl 1.9.27%2Bdeb11u2

=== debian/changelog ===
debian-parl (1.9.27+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Rebuild using newer boxer-data.
  * Do not depend on webext-https-everywhere anymore because it has been
    removed from Debian.

 -- Markus Koschany <apo@debian.org>  Tue, 14 Oct 2025 14:58:38 +0200

debian-parl (1.9.27+deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * rebuild using newer boxer-data
    + stop include lightning; closes: bug#1035344
      (calendaring is included with Thunderbird itself nowadays)
    + stop include thunderbird-l10n-si, gone from Debian;
      closes: bug#1000872, thanks to Peter Green

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jun 2023 14:47:48 +0200

## debian-parl 1.9.27+deb11u2

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  boxer (>= 0.004~),
  shellcheck,
 # lock to boxer-data minor release: Feature additions should be documented
- boxer-data (>= 10.8.28+deb11u1~),
+ boxer-data (>= 10.8.28+deb11u2~),
  boxer-data (<< 10.9)
 Standards-Version: 4.4.0
 Homepage: https://wiki.debian.org/DebianParl

=== debian/rules ===
#!/usr/bin/make -f

pkgstem = parl
sharedir = usr/share/$(pkgstem)
blends = world eu

include debian/blends.mk

## debian-parl 1.9.27+rpi2

=== debian/changelog ===
debian-parl (1.9.27+rpi2) bullseye-staging; urgency=medium

  * Rebuild using new boxer-data to get rid of dependency on
    thunderbird-l10n-si.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 01 Feb 2022 22:02:05 +0000

debian-parl (1.9.27+rpi1) bullseye-staging; urgency=medium

  * Rebuild using new boxer-data to get rid of dependency on lightning.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 01 Feb 2022 20:56:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  boxer (>= 0.004~),
  shellcheck,
 # lock to boxer-data minor release: Feature additions should be documented
- boxer-data (>= 10.8.28+deb11u2~),
+ boxer-data (>= 10.8),
  boxer-data (<< 10.9)
 Standards-Version: 4.4.0
 Homepage: https://wiki.debian.org/DebianParl

## debian-parl 1.9.31

=== debian/changelog ===
debian-parl (1.9.31) unstable; urgency=medium

  * update blends snippet: target bookworm by default

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 22:27:28 +0100

debian-parl (1.9.30) unstable; urgency=medium

  * rebuild using newer boxer-data
    + stop include thunderbird-l10n-si, gone from Debian;
      closes: bug#1000872, thanks to Peter Green
  * update blends snippet:
    + relax shellcheck to tolerate stylistic-only warning SC2129
  * declare compliance with Debian Policy 4.6.0
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 22:07:23 +0100

debian-parl (1.9.29) unstable; urgency=medium

  * rebuild using newer boxer-data
    + stop include iitalian
      (unmaintained - see bug#996361 - and gone upstream)
    + stop include lightning
      (calendaring is included with Thunderbird itself nowadays)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Nov 2021 16:47:52 +0100

debian-parl (1.9.28) unstable; urgency=medium

  * relax dependency on boxer-data to permit 10.9
    (no new features, just dropping support for buster);
    closes: bug#992898, thanks to Peter Green
  * simplify source helper script copyright-check
  * update copyright info:
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
  * this build targeted unstable will use boxer-data 10.9.2,
    generating a dependency on plocate (not mlocate);
    closes: bug#989517, thanks to Paul Wise

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 22:42:11 +0200

## debian-parl 1.9.31+deb12u1

=== debian/changelog ===
debian-parl (1.9.31+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Rebuild using newer boxer-data.
    + parl-desktop: no longer depend on webext-https-everywhere because
    nowadays all major browsers offer native support for HTTPS only mode.
    (Closes: #1041350)

 -- Markus Koschany <apo@debian.org>  Wed, 19 Jul 2023 00:14:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  shellcheck,
 # lock to boxer-data minor release: Feature additions should be documented
  boxer-data (>= 10.8),
- boxer-data (<< 10.9)
-Standards-Version: 4.4.0
+ boxer-data (<< 10.10)
+Standards-Version: 4.6.0
 Homepage: https://wiki.debian.org/DebianParl
 Vcs-Git: https://salsa.debian.org/blends-parl-team/blends.git
 Vcs-Browser: https://salsa.debian.org/blends-parl-team/blends

## debian-parl 1.9.31+nmu1

=== debian/changelog ===
debian-parl (1.9.31+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild using newer boxer-data.
    + parl-desktop: no longer depend on webext-https-everywhere because
    nowadays all major browsers offer native support for HTTPS only mode.
    (Closes: #1041350)

 -- Markus Koschany <apo@debian.org>  Wed, 19 Jul 2023 00:14:39 +0200

## debian-parl 1.9.32

=== debian/changelog ===
debian-parl (1.9.32) unstable; urgency=medium

  * rebuild using newer boxer-data
    + stop install webext-https-everywhere
    + stop install parcimonie (see bug#1109028, #1091033)
    + stop install syncevolution syncevolution-http
      (see bug#1109028, #1000047)
    + stop avoid obsolete evince-gtk (see bug#1109028)
    + stop avoid obsolete mplayer2 (see bug#1109028, #794817)
    + stop avoid obsolete pulseaudio-esound-compat
      (see bug#1109028, #561780)
    + install iitalian thunderbird-l10n-lv wirish
      with packages parl-desktop-eu and parl-desktop-world
    + install firefox-esr locales ca-valencia fur sc sco szl tg tl trs,
      hunspell locale eo (not myspell),
      libreoffice locale hy (not metapackage libroffice-in),
      mythes locale pt-br (not locale pt-pt,
      thunderbird locales cak en-ca es-mx ka lv pa-in th uz
      with package parl-desktop-world
  * relax dependency on boxer-data to permit 10.10
    (no new features, just dropping support for bookworm);
    closes: bug#1081075, thanks to Santiago Vila
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Aug 2025 12:43:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  shellcheck,
 # lock to boxer-data minor release: Feature additions should be documented
  boxer-data (>= 10.8),
- boxer-data (<< 10.10)
-Standards-Version: 4.6.0
+ boxer-data (<< 10.11)
+Standards-Version: 4.7.2
 Homepage: https://wiki.debian.org/DebianParl
 Vcs-Git: https://salsa.debian.org/blends-parl-team/blends.git
 Vcs-Browser: https://salsa.debian.org/blends-parl-team/blends
